This app goes through PAM with logind, forks into the user specified, like a login manager would do

usage

simplelogin --user USERNAME --exec FULLPATHTOEXEC

super simple sans display display desktop manager mockup mitigating mir

or sssdddmmmm for short.




Note
this file expects sddm-autologin in /etc/pam.d/
Use the ubuntu one, not the one from the repo. Ubuntu have a messed up system

renaming the lightdm one should be fine too

exec line can only be one string due to shoddy parsing, if you need to pass args, just go via a shell script or modify the code